export * from './WaveSurferCanvas';

export interface WaveSurfer extends Omit<HTMLAudioElement, 'load'> {
  play: () => Promise<void>;
  pause: () => void;
  on: (event: string, callback: () => void) => void;
  seekTo: (time: number) => void;
  load: (url: string) => void;
  destroy: () => void;
}
